%define name happy
%define version 1.6
%define release 2mdk

Summary: parser generator system for Haskell
Name: %{name}
Version: %{version}
Release: %{release}
URL: http://www.dcs.gla.ac.uk/fp/software/happy.html
Source0: ftp://ftp.dcs.gla.ac.uk/pub/haskell/%{name}/%{name}-%{version}-src.tar.bz2
Copyright: GPL
Group: Development/Other
BuildRoot: /tmp/%{name}-buildroot
BuildRequires: autoconf ghc
Prefix: %{_prefix}

%description
Happy is a parser generator system for Haskell, similar to the tool `yacc' for C. Like `yacc', it
takes a file containing an annotated BNF specification of a grammar and produces a Haskell module
containing a parser for the grammar.

Happy is flexible; unlike `yacc', you can have several Happy parsers in the same program. Happy can
work in conjunction with a lexical analyser supplied by the user (either hand-written or generated
by another program), or it can parse a stream of characters directly (but this isn't practical in
most cases).

%prep
%setup -n fptools
rm -rf fptools/happy/examples/CVS

%build
autoheader
autoconf
%{?__libtoolize:[ -f configure.in ] && %{__libtoolize} --copy --force}
CFLAGS="%{optflags}" ./configure  --enable-hc-boot --target=%{_target_platform} --host=%{_target_platform} --prefix=%{_prefix}
make ProjectsToBuild="glafp-utils happy" WithHappyHc=ghc boot
make ProjectsToBuild="glafp-utils happy" WithHappyHc=ghc all
cd happy/doc ; cp happy.1.in happy.1 # could be better
#make -C happy/doc happy.html #doesn't work by now

%install
rm -rf $RPM_BUILD_ROOT
make ProjectsToInstall=happy install prefix=$RPM_BUILD_ROOT%{_prefix}

install -d $RPM_BUILD_ROOT%{_prefix}/man/man1
bzip2 -9c happy/doc/happy.1 > $RPM_BUILD_ROOT%{_prefix}/man/man1/happy.1.bz2

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc happy/ANNOUNCE
%doc happy/CHANGES
%doc happy/README
%doc happy/TODO
%doc happy/doc/happy*.html
%doc happy/examples
/usr/man/man1/*
%{_prefix}/bin/happy*
%{_prefix}/lib/happy*

%changelog
* Sun Apr 16 2000 Pixel <pixel@mandrakesoft.com> 1.6-2mdk
- new group

* Mon Feb  7 2000 Pixel <pixel@mandrakesoft.com> 1.6-1mdk
- initial spec

# end of file
